Subject: [Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02

From: Christian Hopps <[email-masked]>
Date: Sun, 02 May 2021 04:39:17 -0400

This begins a 2 week WG adoption call for the following draft:

    https://datatracker.ietf.org/doc/draft-acee-lsr-ospf-transport-instance/

Please indicate your support or objection by May 16th, 2021.

Authors, please respond to the list indicating whether you are aware of any IPR that applies to this draft.

Historical Note: The original OSPF transport instance document was adopted by the OSPF WG back in 2009, it was last updated in 2014, and then revived as an individual submission to LSR in Sep 2020. :)

Thanks,
Chris.

---

From: Jeff Tantsura <[email-masked]>
Date: Sun, 2 May 2021 13:48:50 -0700

Yes/support 

Regards,
Jeff

> On May 2, 2021, at 01:47, Christian Hopps <[email-masked]> wrote:
> 
> 
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Sun, 2 May 2021 21:19:38 +0000

I support WG adoption.

The use of IGP flooding to distribute information unrelated to the operation of the protocol negatively impacts the operation of the protocol in support of its primary function - L3 routing.
Although I favor discouraging using the protocol in this way, in the event such uses cases are defined, there needs to be a way to minimize the impact - which this draft provides.

   Les
 
> -----Original Message-----
> From: Lsr <[email-masked]> On Behalf Of Christian Hopps
> Sent: Sunday, May 02, 2021 1:39 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; draft-acee-lsr-ospf-transport-
> [email-masked]
> Subject: [Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02
> 
> 
> Historical Note: The original OSPF transport instance document was adopted
> by the OSPF WG back in 2009, it was last updated in 2014, and then revived as
> an individual submission to LSR in Sep 2020. :)
> 
> Thanks,
> Chris.
>

---

From: Robert Raszuk <[email-masked]>
Date: Sun, 2 May 2021 23:43:47 +0200

Support.

Happy to see LSR thinking ahead.

Wish IDR would do the same in respect to minimise the impact of non routing
stuff with "Transport Instance BGP" draft I proposed 10+ years back ... :(
https://tools.ietf.org/html/draft-raszuk-ti-bgp-01

Best,
R.

On Sun, May 2, 2021 at 11:19 PM Les Ginsberg (ginsberg) <ginsberg=
[email-masked]> wrote:

> I support WG adoption.
>
> The use of IGP flooding to distribute information unrelated to the
> operation of the protocol negatively impacts the operation of the protocol
> in support of its primary function - L3 routing.
> Although I favor discouraging using the protocol in this way, in the event
> such uses cases are defined, there needs to be a way to minimize the impact
> - which this draft provides.
>
>    Les
>
> > Subject: [Lsr] WG adoption call for
> draft-acee-lsr-ospf-transport-instance-02
> >
> >
> > Authors, please respond to the list indicating whether you are aware of
> any
> > IPR that applies to this draft.
> >

---

From: Huaimo Chen <[email-masked]>
Date: Mon, 3 May 2021 01:33:50 +0000

Support its adoption.

Best Regards,
Huaimo
________________________________
From: Lsr <[email-masked]> on behalf of Christian Hopps <[email-masked]>
Sent: Sunday, May 2, 2021 4:39 AM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: [Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02

    https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-acee-lsr-ospf-transport-instance%2F&amp;data=04%7C01%7Chuaimo.chen%40futurewei.com%7Ca5078f2677c44f70a6a008d90d46e4f8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637555420448681736%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Ikn6KJzPpEt%2BZcBHgM0oVJLWXzqGka85Tr2ztsV%2BHiw%3D&amp;reserved=0

Thanks,
Chris.

_______________________________________________
Lsr mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&amp;data=04%7C01%7Chuaimo.chen%40futurewei.com%7Ca5078f2677c44f70a6a008d90d46e4f8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637555420448681736%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=1NOK2MXK7LXMjpA%2F9z8MA%2FJ%2FvFYGmjcA%2BjjE1MfipdI%3D&amp;reserved=0

---

From: Gyan Mishra <[email-masked]>
Date: Mon, 3 May 2021 00:06:33 -0400

I support WG adoption as this draft helps maintain feature parity as close
as possible  between OSPF and ISIS.

Great job on the continuing effort to  maintaining IGP feature parity by WG
and chairs.

This is very important for operators.

ISIS MI RFC 8202
OSPFv3 AF RFC 5838

ISIS Advertise Generic Information RFC 6824
OSPFv2 OSPFv3 transport instance - this draft

As Robert mentioned and I think others agree that there is some parity that
can be extended from IGP to EGP.

Kind Regards

Gyan

On Sun, May 2, 2021 at 4:47 AM Christian Hopps <[email-masked]> wrote:

> any IPR that applies to this draft.
>
> by the OSPF WG back in 2009, it was last updated in 2014, and then revived
> as an individual submission to LSR in Sep 2020. :)
>
> Thanks,
> Chris.
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 4 May 2021 22:53:24 +0000

Speaking as co-author, I'm not aware of any IPR applying to the draft. I also support WG adoption.

Thanks,
Acee

On 5/2/21, 4:47 AM, "Christian Hopps" <[email-masked]> wrote:

    Thanks,
    Chris.

---

From: Yingzhen Qu <[email-masked]>
Date: Tue, 4 May 2021 21:47:43 -0700

Speaking as co-author, I support WG adoption, and I’m not aware of any IPR that applies to this draft.

Thanks,
Yingzhen

> On May 2, 2021, at 1:39 AM, Christian Hopps <[email-masked]> wrote:
> 
>

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 6 May 2021 16:55:35 +0800

There are some points needs to be clarified before it adoption:
1. In section 4.3 of this draft, it says: 
   "The OSPF transport instance is not dependent on any other OSPF
   instance.  It does, however, have much of the same as topology
   information must be advertised to satisfy the "condition of
   reachability".  
 Then, this transport instance should also advertise the topology
information. Right?
 But in section 4.5, the advertisement of inter-area information is
omitted(Summary-LSA for OSPFv2/inter-area-prefix-LSA for OSPFv3). 
 So, how to transfer the non-routing information across different areas?
Using the remote OSPF neighbor?

2. The reason that we use the IGP to transfer the non-routing information is
that the IGP assures the reachability/dissemination of such information.
Using independent transport instance, the operator need again the design and
deployment of the distributed topology. And most important, the correlation
between the routing information and non-routing information is not solved or
covered within the current draft, which is the merit of other solutions.
There should be solutions/considerations to the possible problem as that
described in
https://datatracker.ietf.org/doc/html/draft-bowers-lsr-isis-gen-info-clarifi
cations-00 for IS-IS.

3. Section 4.7 described the "Non-Routing Sparse Topologies". It requires
again the careful design and deployment. Is it more straightforward to let
the IGP routers relay such information and only the necessary nodes to
store/utilize it? 

Best Regards

Aijun Wang
China Telecom

-----Original Message-----
From: [email-masked] <[email-masked]> On Behalf Of Christian
Hopps
Sent: Sunday, May 2, 2021 4:39 PM
To: [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]
Subject: [Lsr] WG adoption call for
draft-acee-lsr-ospf-transport-instance-02

Authors, please respond to the list indicating whether you are aware of any
IPR that applies to this draft.

Thanks,
Chris.

---

From: Shraddha Hegde <[email-masked]>
Date: Tue, 11 May 2021 05:32:31 +0000

OSPF transport instance work is useful and I support the WG adoption 
subject to below major comments being addressed by authors.

Major comments
1. Add a section on how to advertise information in a transport instance if an application requires,
 per-link resource information to be advertised in transport instance.
2. Some applications may require to co-relate the information in transport instance
     to a specific routing-instance. This requirement to be addressed.

 Minor comments

 1. There may be cases when application information gets associated with prefixes rather than nodes
     We should allow advertisement of Extended Prefix-LSA and E-Intra-area-Prefix-LSA/E-Inter-Area-Prefix-LSA
      Advertisements inside transport instance.
2. It seems like we could reuse RI-LSA and originate RI-LSA in transport instance with application-ID TLV. What is the 
     Need to define yet another opaque LSA?

Rgds
Shraddha

Juniper Business Use Only

-----Original Message-----
From: Lsr <[email-masked]> On Behalf Of Christian Hopps
Sent: Sunday, May 2, 2021 2:09 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02

[External Email. Be cautious of content]

    https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-acee-lsr-ospf-transport-instance/__;!!NEt6yMaO-gk!RT_7qdzc7ZQ8JOAaCq5xunM6cbtAZMc171mp6OGUOdD-ZBwm9uzOnteWeQqN3Ryo$

Thanks,
Chris.

_______________________________________________
Lsr mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/lsr__;!!NEt6yMaO-gk!RT_7qdzc7ZQ8JOAaCq5xunM6cbtAZMc171mp6OGUOdD-ZBwm9uzOnteWeTnw4gEn$

---

From: Xufeng Liu <[email-masked]>
Date: Tue, 11 May 2021 15:11:43 -0400

Yes/support.
Regards,
- Xufeng

---

From: Lizhenbin <[email-masked]>
Date: Fri, 14 May 2021 03:16:38 +0000

Hi All,
I support the WG adoption.

Best Regards,
Zhenbin (Robin)

--------------------------------------------------
李振斌 Li Zhenbin
Mobile: +86-13651017745<tel:+86-13651017745>/+968-91797068
Email: [email-masked]<mailto:[email-masked]>
发件人：Christian Hopps <[email-masked]>
收件人：lsr <[email-masked]>
抄 送：lsr-ads <[email-masked]>;Christian Hopps <[email-masked]>;draft-acee-lsr-ospf-transport-instance <[email-masked]>
时 间：2021-05-02 16:47:33
主 题：[Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02

Thanks,
Chris.

_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr

---

From: Christian Hopps <[email-masked]>
Date: Fri, 21 May 2021 11:04:40 -0400

The work is adopted, authors please resubmit as:

draft-ietf-lsr-ospf-transport-instance-00

Thanks,
Chris.

---

From: Aijun Wang <[email-masked]>
Date: Sat, 22 May 2021 06:39:44 +0800

Hi, Christian:

There are issues that are raised during the adoption call have not been solved or answered.
What’s your criteria for adopting of one document then?

https://mailarchive.ietf.org/arch/msg/lsr/YszRKp3R22IawO_T--CjXRXuiVM/

https://mailarchive.ietf.org/arch/msg/lsr/kbnwOs_K_d8fYKnae-yn3wcFlZQ/

Aijun Wang
China Telecom

> On May 21, 2021, at 23:06, Christian Hopps <[email-masked]> wrote:
> 
>

---

From: Christian Hopps <[email-masked]>
Date: Fri, 21 May 2021 19:46:48 -0400

Aijun Wang <[email-masked]> writes:

>    What's your criteria for adopting of one document then?

1) The WG is interested and willing to work on a problem starting with the given document to get to a solution.

2) There is rough consensus on (1).

Importantly: There's no requirement that the document be perfect, or complete, or even that every one agrees that it should be adopted.

Thanks,
Chris.

>      Historical Note: The original OSPF transport instance document was
>      adopted by the OSPF WG back in 2009, it was last updated in 2014,
>      and then revived as an individual submission to LSR in Sep 2020. :)
>
>      Thanks,
>
>      Chris.
>

---

From: Aijun Wang <[email-masked]>
Date: Sat, 22 May 2021 08:21:20 +0800

Hi, Christian:

OK, let’s follow it then in afterward adoption call then.

Aijun Wang
China Telecom

> On May 22, 2021, at 07:55, Christian Hopps <[email-masked]> wrote:
> 
>

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 24 May 2021 18:03:03 +0000

Hello Authors,

Some post adoption comments/feedback on the draft :

1) RFC6823 for ISIS GenApp allows that top-level TLV to be also advertised in the "default instance". Each application is able to specify whether this is allowed or not for itself. Any plans to follow the same approach in OSPF?

2) The application specific information may not only be associated with the node. We also need the ability to advertise the application specific info associated with the link and prefix as well. There was some feedback on this point during the adoption call as well with which I concur. How would this be addressed? Via Transport Link and Prefix LSAs? Or is each application expect to be bring in the link and prefix descriptors under the application TLV in the proposed LSA? IMHO, it would be valuable to preserve the granularity of advertisement offered by OSPF via LSAs for this use-case as well.

Thanks,
Ketan

-----Original Message-----
From: Lsr <[email-masked]> On Behalf Of Christian Hopps
Sent: 21 May 2021 20:35
To: Christian Hopps <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Lsr] WG adoption call for draft-acee-lsr-ospf-transport-instance-02

Thanks,
Chris.